/*
 * Copyright (C) 2006 Alfresco, Inc.
 *
 * Licensed under the Mozilla Public License version 1.1 
 * with a permitted attribution clause. You may obtain a
 * copy of the License at
 *
 *   http://www.alfresco.org/legal/license.txt
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the
 * License.
 */

package org.alfresco.repo.avm.hibernate;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

/**
 * @author britt
 */
public class HibernateHelper
{
    private static Configuration fgCfg = null;
    private static SessionFactory fgFactory = null;
    
    static 
    {
        Reset();
    }
    
    public static SessionFactory GetSessionFactory()
    {
        return fgFactory;
    }
    
    public static Configuration GetConfiguration()
    {
        return fgCfg;
    }
    
    public static void Reset()
    {
        if (fgFactory != null)
        {
            fgFactory.close();
        }
        try
        {
            fgCfg = new Configuration();
            fgCfg.configure();
            fgFactory = fgCfg.buildSessionFactory();
        }
        catch (Throwable t)
        {
            t.printStackTrace(System.err);
            System.exit(1);
        }
    }
}
